请把轻狂志网址 www.flighty.cn 加入收藏夹,其他俱为假冒,谨防被骗!赞助请点 这里!找东东请用右边的搜索 ===>
13 2014-02

增加config文件使.NET 4以下的旧程序可以运行

作者:少轻狂 | 发布:2014-02-13 | 更新:2014-02-13 | 分类:教程 | Tutorial | 热度:
.NET框架4.0上是可以运行为2.0、3.0、3.5设计的应用程序的,但出于兼容性方面的考虑,默认情况下这种功能不会启用。微软的建议是由程序的提供者重新编译,或者增加一个config文件来指示旧程序可以运行在4.0的环境中——不过不建议普通用户这么做。
 
那么,如何增加这个config文件呢?config文件内容如何写呢?
 
假设你的程序名字叫做“轻狂.exe”,复制以下内容到记事本并保存为“轻狂.exe.config”,放到“轻狂.exe”所在的文件夹下即可。
 
<?xml version="1.0"?>
<configuration>
<startup useLegacyV2RuntimeActivationPolicy="true">
<supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/>
</startup>
</configuration>

 

标签:config(1).NET 4(1)